sc::DFPUpdate(3)

NAME
sc::DFPUpdate -

The DFPUpdate class is used to specify a Davidson, Fletcher, and Powell

 hessian update scheme.

SYNOPSIS

#include <update.h>

Inherits sc::HessianUpdate.

Inherited by sc::BFGSUpdate.

  Public Member Functions
DFPUpdate (StateIn &)
DFPUpdate (const Ref< KeyVal > &)
The KeyVal constructor reads the following keywords:
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void update (const RefSymmSCMatrix &ihessian, const Ref< Function > &, const RefSCVector &xnew, const RefSCVector &gnew)
void apply_transform (const Ref< NonlinearTransform > &)
void set_inverse ()

  Protected Attributes
RefSCVector xprev
RefSCVector gprev

  Additional Inherited Members

Detailed Description

The DFPUpdate class is used to specify a Davidson, Fletcher, and Powell

 hessian update scheme.

Constructor & Destructor Documentation

  sc::DFPUpdate::DFPUpdate (const Ref< KeyVal > &)

The KeyVal constructor reads the following keywords: .IP "xprev" 1c The previous coordinates can be given (but is not recommended). The default is none.

gprev
    The previous gradient can be given (but is not recommended). The default is none.

Member Function Documentation

  void sc::DFPUpdate::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::HessianUpdate.

Reimplemented in sc::BFGSUpdate.

Author

Generated automatically by Doxygen for MPQC from the source code.